Уязвимость BDU:2022-03971

Дата: 31.03.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-03971.

Наименование уязвимости: Уязвимость модуля nxos_file_copy системы управления конфигурациями Ansible, позволяющая нарушителю выполнить произвольные команды.

Описание уязвимости: Уязвимость модуля nxos_file_copy системы управления конфигурациями Ansible связана с некорректным внешним управлением именем или путем файла. Эксплуатация уязвимости может позволить нарушителю выполнить произвольные команды
Уязвимое ПО: Операционная система Debian GNU/Linux 9.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Fedora Project Fedora 30 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Ceph Storage 3 | ПО программно-аппаратного средства Red Hat Inc. Red Hat OpenStack Platform 13.0 (Queens) | ПО программно-аппаратного средства Red Hat Inc. Red Hat OpenStack Platform 14.0 (Rocky) | Сетевое программное средство Red Hat Inc. Ansible Tower 3 | Операционная система Debian GNU/Linux 11.0 | Прикладное ПО информационных систем Red Hat Inc. Ansible от 2.8.0 до 2.8.8 | Прикладное ПО информационных систем Red Hat Inc. Ansible от 2.9.0 до 2.9.3 | Прикладное ПО информационных систем Red Hat Inc. Ansible от 2.7.0 до 2.7.16 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 90 | OpenSUSE Leap 151 | Fedora 30 | Debian GNU/Linux 100 | Debian GNU/Linux 110 |
Дата выявления: 31.03.2020.
CVSS 2.0: AV:L/AC:L/Au:S/C:C/I:P/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5,7)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,6)

Возможные меры по устранению:
Использование рекомендаций:
Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2019-14905

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/5BNCYPQ4BY5QHBCJOAOPANB5FHATW2BR/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/message/462PCCX6XEX6T7NIQ3SDSNLMH6T7PMF4/
https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/message/3SH4AT6KRZ24IXOK2Y7INQZBHCB55MT7/

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2019-14905
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-14905.

Тип ошибки CWE: CWE-20, CWE-73
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://access.redhat.com/security/cve/CVE-2019-14905
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/5BNCYPQ4BY5QHBCJOAOPANB5FHATW2BR/
https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/message/462PCCX6XEX6T7NIQ3SDSNLMH6T7PMF4/
https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/message/3SH4AT6KRZ24IXOK2Y7INQZBHCB55MT7/
https://security-tracker.debian.org/tracker/CVE-2019-14905

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *